Bug 999400 - Can not successfully install plugin for python app after add plugin to setting.py and git push
Can not successfully install plugin for python app after add plugin to setti...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Rob Millner
libra bugs
: UpcomingRelease
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-21 05:22 EDT by weiwei jiang
Modified: 2016-10-30 18:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-29 08:54:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description weiwei jiang 2013-08-21 05:22:49 EDT
Description of problem:
After add plugin to setting.py, git push will display a error "error: Could not find suitable distribution"

Version-Release number of selected component (if applicable):
INT(devenv_3680)

How reproducible:
always

Steps to Reproduce:
1. Create a python app
2. Add plugin to setting.py
        install_requires=[#'CherryPy',
                          #'mysql-connector-python',
                          'pymongo',
                          #'psycopg2',                                   
                          #'Django>=1.4', 
3.Git push back  to the the gear.

Actual results:
remote: Installed /var/lib/openshift/521461a103ef64263a000106/app-root/runtime/repo
remote: Processing dependencies for YourAppName==1.0
remote: Searching for pymongo
remote: Reading http://mirror.openshift.com/mirror/python/web/simple/pymongo/
remote: No local packages or download links found for pymongo
remote: error: Could not find suitable distribution for Requirement.parse('pymongo')
remote:  - Done processing setup.py
remote: Starting application py33
To ssh://521461a103ef64263a000106@py33-wjiang7311.int.rhcloud.com/~/git/py33.git/
   ee21e94..4db565c  master -> master

Expected results:
should be installed without errors

Additional info:
Comment 1 Rob Millner 2013-08-21 13:37:39 EDT
It appears as though our mirror is either offline or broken.  Tests that worked just fine yesterday are now broken on the same error.
Comment 2 Rob Millner 2013-08-21 16:12:35 EDT
Reverting mirror change:
https://github.com/openshift/origin-server/pull/3456
Comment 3 Rob Millner 2013-08-21 19:55:12 EDT
Pull request to test the mirror first before using:
https://github.com/openshift/origin-server/pull/3460
Comment 4 openshift-github-bot 2013-08-22 00:20:03 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/b010a5749ddc20564beefa06002aa5cab77b025c
Bug 999400 - test the mirror to see if its up, if not then use external.
Comment 5 weiwei jiang 2013-08-22 03:41:36 EDT
Test on devenv_3685 and will be installed successfully.
So, verified this, thx

Note You need to log in before you can comment on or make changes to this bug.